Full name: projects.locations.instances.nativeDashboards.transferOwnership
Transfers ownership of a specified resource to a new principal. The previous owner is automatically granted the editor role on the object. Please note that ownership can only be transferred to a user principal, not a group.
HTTP request
POST https://{endpoint}/v1alpha/{name}:transferOwnership
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
name |
Required. The resource name of the object whose ownership is to be transferred. Format: projects/{project}/locations/{location}/instances/{instance}/nativeDashboards/{nativeDashboard} projects/{project}/locations/{location}/instances/{instance}/users/{user}/searchQueries/{searchQuery} |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "principal": string } |
| Fields | |
|---|---|
principal |
Required. The IAM principal of the new owner of the Object. The supported formats are: * |
Response body
If successful, the response body is empty.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chronicle
For more information, see the Authentication Overview.